
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "pylon-4_6"
	actor[cp_model_dir]			= "rooms"
	actor[cp_model_name]		= "pylon-4_6"

	actor[cp_actor_type]			= cat_ground
	actor[cp_launch_hue_shift] = pcolor - 30

	set_pylon_bitmap_swap()

-- leave me
	c_preload_model( actor )
-- leave me

	anis = { "fb-swing10" , "lr-swing10" , "scale200" , "still" }
	ani_choice = c_zrand_int( 4 ) +1
	c_set_random_anim( anis[ani_choice], 100.0, 100.0, 0.0, 0.0 )

--	c_set_random_anim( "particle", 100.0, 100.0, 0.0, 0.0 )
--	c_set_random_anim( "pulse", 100.0, 100.0, 1.0, 20.0 )
--	c_add_particle_to_anim( "particle", "fencebone", "pylon-3_1" )
--	c_add_particle_to_anim( "pulse", "fencebone", "pylon-3_1pulse" )
